about summary refs log tree commit diff stats
path: root/update_common_files.sh
diff options
context:
space:
mode:
Diffstat (limited to 'update_common_files.sh')
-rwxr-xr-xupdate_common_files.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/update_common_files.sh b/update_common_files.sh
new file mode 100755
index 0000000..f342850
--- /dev/null
+++ b/update_common_files.sh
@@ -0,0 +1,19 @@
+#!/usr/bin/env sh
+
+ROOT="$(git rev-parse --show-toplevel)";
+
+# This results in fd returning relative paths
+cd "$ROOT/common" || echo "BUG, no root dir!"
+
+fd . "." --type file --hidden | while read -r file; do
+    echo "Instantiating '$file'..."
+    fd . "../templates" --type directory --max-depth 1 | while read -r template; do
+        echo "   done in '$template'."
+        echo "  " cp "$file" "$template$file"
+        rm "$template$file"
+        cp "$file" "$template$file"
+    done
+done
+
+
+# vim: ft=sh